Subject: Re: Xapian cache/search proof of concept

From: Noé Lopez <[email-masked]>
Date: Wed, 16 Apr 2025 23:46:07 +0200

Arun Isaac <[email-masked]> writes:

> Hi Noé,
>
> That's fabulous! Thank you for taking this up. :-) Please consider
> making this its own project with its own repo, and advertising on
> guix-devel and elsewhere.
>

I’m amazed by the interest :) Will do when I have a working extension.

>> (match (command-line)
>>   ((_ "index")
>>    (index))
>>   ((_ "search" query)
>>    (search query))
>
> If there's some way to hide the indexing step from the user, that would
> be good. For example, one way could be to build the index the first time
> search is run. You'll have to figure out some way to make this a smooth
> user experience.
>

I could schedule an index in the background and run the normal search 🤔

> Remember that the user may jump back and forth between multiple guix
> profiles. So, multiple indices may be necessary.

Right, I’ll think about that.

> Regards,
> Arun

Good day,
Noé